Subject: [Ice] 5245bis: To pair or not to pair peer reflexive candidates?

From: Christer Holmberg <[email-masked]>
Date: Wed, 18 Oct 2017 09:09:01 +0000

Hi,

Section 6.3.1.3. (Learning Peer Reflexive Candidates) of 5245bis says:

   "This candidate is added to the list of remote candidates.  However,
   the agent does not pair this candidate with any local candidates."

However, section 6.3.1.4. (Triggered Checks) says:

   "Next, the agent constructs a pair whose local candidate is equal to
   the transport address on which the STUN request was received, and a
   remote candidate equal to the source transport address where the
   request came from (which may be the peer reflexive remote candidate
   that was just learned)."

This seems to be conflicting. Does the agent pair local candidates with remote peer reflexive candidates or not?

Regards,

Christer

---

From: Taylor Brandstetter <[email-masked]>
Date: Wed, 18 Oct 2017 09:23:35 -0700

The point is that the peer reflexive candidate isn't paired with
*other* candidates;
it's only used to generate a triggered check. In the common case where a
peer reflexive candidate is produced by a symmetric NAT, it wouldn't make
sense to send binding requests to this address from other local candidates,
because they'd just be filtered by the NAT and waste Ta cycles.

This could use some slight rewording though; "does not pair" technically is
at odds with "constructs a pair". Perhaps "this candidate is not used to
add any new candidate pairs to the check list". Or "the agent does not pair
this candidate with any local candidates, aside from the one that generated
it, for the purposes of sending a triggered check."

On Wed, Oct 18, 2017 at 2:09 AM, Christer Holmberg <
[email-masked]> wrote:

>    request came from (*which may be the peer reflexive remote candidate
>    that was just learned*)."
>
> _______________________________________________
> Ice mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ice
>
>